GDB (xrefs)

Public Attributes | List of all members
arm_get_next_pcs Struct Reference

`#include "arm-get-next-pcs.h"`

## Public Attributes
struct arm_get_next_pcs_ops * | ops
int | byte_order
int | byte_order_for_code
int | has_thumb2_breakpoint
struct regcache * | regcache

## Detailed Description

Definition at line 41 of file arm-get-next-pcs.h.

## Member Data Documentation

## ◆ byte_order

int arm_get_next_pcs::byte_order

Definition at line 46 of file arm-get-next-pcs.h.

Referenced by thumb2_copy_table_branch().

## ◆ byte_order_for_code

int arm_get_next_pcs::byte_order_for_code

Definition at line 48 of file arm-get-next-pcs.h.

Referenced by arm_process_displaced_insn(), and thumb_process_displaced_insn().

## ◆ has_thumb2_breakpoint

int arm_get_next_pcs::has_thumb2_breakpoint

Definition at line 51 of file arm-get-next-pcs.h.

## ◆ ops

struct arm_get_next_pcs_ops* arm_get_next_pcs::ops

Definition at line 44 of file arm-get-next-pcs.h.

## ◆ regcache

struct regcache* arm_get_next_pcs::regcache

Definition at line 53 of file arm-get-next-pcs.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/arch/arm-get-next-pcs.h